Retrieve all EOIs, filter by query
curl --request GET \
--url https://api.zivio.net/api/v3/eois \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/eois"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/eois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eois": [
{
"id": "5",
"title": "Test Eoi",
"description": "This test is for the API",
"status": "open",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"submission_deadline": "2023-11-07T05:31:56Z",
"time_zone": "UTC",
"eoi_matches_count": "4",
"skill_category": {
"id": "294",
"name": "Technology",
"slug": "technology"
},
"skill_subcategory": {
"id": "296",
"name": "Application Delivery",
"slug": "application-delivery"
},
"owner": {
"id": "226",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"job": {
"id": "66",
"title": "Project Management - Product Implementation",
"description": "Job description"
},
"eoi_responses": [
{
"id": "10",
"proposal": "A proposal description",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"shortlisted_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"supplier": {
"id": "226",
"name": "Wells International",
"email": "john.doe@example.com",
"vetting_status": "PASSED",
"tax_number": "1234321",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}
]
}EOIs
Retrieve all EOIs, filter by query
GET
/
eois
Retrieve all EOIs, filter by query
Query Parameters
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on ended timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on submission deadline timestamp for object.
Number of results returned per request
Paginate results when number of results exceeds limit
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated', 'ended'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Response
ok
Show child attributes
Show child attributes
⌘I

